Subject: Re: Bug#410: Segfault of _X11TransWritev in libNX_X11.so.6 with libQtGui

From: Sven Willenberger <[email-masked]>
Date: Mon, 30 Jun 2014 11:32:14 -0400

On Mon, 30 Jun 2014 11:22:07 +0000
Mike Gabriel <[email-masked]> wrote:

> Hi Sven,
> 
> 
> I really cannot reproduce the above issue on Debian.
> 
> But I have a suspicion...
> 
> Can you please check on Archlinux if you have the two other symlinks  
> that are required for Xinerama to work?
> 
> """ (quoted from above...)
> +       # Provide means for Xinerama support in NX/X2Go sessions. This
> +       # This also requires two post-install symlinks:
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_X11.so.6 ->  
> /usr/<libdir>/libX11.so.6
> +       # (DESTDIR)$(NXLIBDIR)/X11/Xinerama/libNX_Xext.so.6 ->  
> /usr/<libdir>/libXext.so.6
> """
> 
> If those are missing, please file a bug against the x2goserver
> package in Archlinux. The correct links have to be provided by the
> package maintainer (not by us upstream people).
> 
> If those links are missing: can you please create them and give  
> feedback if the problem still occurs for you?
> 
> And...
> 
> Is my assumption correct that this bug only occurs if Xinerama has  
> been enabled in the X2Go session's session profile (see profile  
> manager window in X2Go Client).
> 
> Greets+Thanks!
> 
> Mike

I went ahead and changed the PKGBUILD file (Archlinux's package
building spec file) to include the symlinks as you pointed out (and as
are contained as comments in the Makefile) and rebuilt the package. It
works!! (pyQt, PySide, vlc all work now). That was the fix that was
needed and will report this to the package maintainers.

Regarding your assumption, it is actually incorrect. I do not have
Xinerama checked as an option in my session profile (it is unchecked)
so that had no bearing on the issue rearing itself.

Thanks!!

-- 
Sven Willenberger
United Pay Systems International
http://www.upsicorp.com